import Foundation
import App

Foundation.SoundDef("sfx/reactorhum1.wav", "station", 3)


abbrev = 'TOS_F39Station'
iconName = 'TOS_F39Station'
longName = 'TOS Research Station'
shipFile = 'TOS_F39Station' 
menuGroup = 'Bases'
playerMenuGroup = 'Bases'
species = App.SPECIES_GALAXY

Foundation.ShipDef.TOS_F39Station = Foundation.StarBaseDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })

Foundation.ShipDef.TOS_F39Station.desc = 'F-39 Research Station\n\nFederation Type F research station (also called a space laboratory or science station) was a facility specializing in scientific research. Research stations could be space stations or surface facilities.\n\nResearch stations often performed scientific research that was too dangerous to conduct in populated areas. Some stations also conducted highly classified research.'

if menuGroup:           Foundation.ShipDef.TOS_F39Station.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.TOS_F39Station.RegisterQBPlayerShipMenu(playerMenuGroup)

if Foundation.shipList._keyList.has_key(longName):
     Foundation.ShipDef.__dict__[longName].friendlyDetails[2] = Foundation.shipList[longName].friendlyDetails[2]
     Foundation.ShipDef.__dict__[longName].enemyDetails[2] = Foundation.shipList[longName].enemyDetails[2]
